package db

import (
	"applet/app/db/model"
	"applet/app/utils/logx"
	"xorm.io/xorm"
)

//UserProfileFindByArkID is get userprofile by arkid
func CapitalPoolByIsUse(Db *xorm.Engine) (*model.CapitalPool, error) {
	var m model.CapitalPool
	if has, err := Db.Where("is_use = 1").Get(&m); err != nil || has == false {
		return nil, logx.Warn(err)
	}
	return &m, nil
}
